# E.S.O. - VLT project/ESO Archive
# $Id: skycat.cfg,v 1.1.1.1 2009/03/31 14:11:52 cguirao Exp $
# --------------------------------------------------------------------
# skycat.cfg - config file for Astronomical Catalogs
#
# This file is read via http by the skycat software to get
# the necessary information about the available catalogs.
#
# The syntax for each catalog entry is:
#
#  serv_type: 	service type, one of: catalog, namesvr, imagesvr
#               (see Service Types below)
#
#  long_name:   long name of service for displaying
#  short_name:  short name of service
#  url:         URL used to access catalog, %ra,%dec, etc. expanded (see below)
#
#  symbol:      the symbol to use to plot the given column value
#               (see Plotting below)
#  copyright:	any copyright notice applicable to this service
#
# Service Types
#---------------
#
# The valid service types are:
#
#  catalog  - server returns a tab separated table of row/col values
#  archive    where the headings are followed by a dashed line
#
#  namesvr  - same as catalog or archive, except server returns a single 
#             object with id, ra and dec to resolve the given object name
#
#  imagesvr - server returns an image file
#
#
# Syntax for "url" field:
# --------------------------
#
# The url field is used to build a URL to get the results via HTTP.
# The syntax is like this:
#
#      http://host:port/cgi-bin/server?arg1&arg2&...argn
#
# (if ":port" is missing, it defaults to 80.)  
#
# Substitutions are performed on the URL as follows:
#
#  %ra, %dec        - coordinates of center point
#
#  %w, %h           - width and height in arcmin around center point
#
#  %r1, %r2         - min and max radius (for circular query)
#
#  %m1, %m2         - min and max magnitude
#
#  %n               - max number of rows to return
#
#  %cols            - list of columns to return (col1,col2,...coln)
#
#  %id              - ID field of item to return (if supported)
#
#  %mime-type       - value for http mime-type field  
#
# Name servers only need the %id field, which is set to the object name.
#
# Plotting column values
# ----------------------
#
# The syntax for the "symbol:" field is as follows:
#
#    symbol:  col-name symbol expr : col-name symbol expr : ...
#
# where 
#   col-name - is the name of the column to plot
#
#   symbol   - is the symbol to use, one of:
#              square, circle, triangle, cross, plus, diamond
#
#   expr     - is an expression in terms of the column used to
#              determine the size of the symbol at standard
#              magnification. The column name can be used as a
#              variable in the expression using "$".
# example: 
#     symbol: mag circle 15-$mag : xyz square (1-$xyz)*2.5
#
# who         when       what
# --------   ---------   ----------------------------------------------
# A.Brighton 11 Oct 95   created
# M.Naumann  24 Jul 96   Updated URLs for catalog servers at the ESO
#                        Science Archive (archive.eso.org and cgi-bin)

# -- catalogs --

# GSC
serv_type: 	catalog
long_name: 	Guide Star Catalog at ESO
short_name: 	gsc@eso
#url:		http://archive.eso.org/skycat/servers/gsc-server?%ra%dec&obj=%id&r=%r1,%r2&m=%m1,%m2&n=%n&f=8&s=R&F=*
url:		http://archive.eso.org/skycat/servers/gsc-server?%ra%dec&r=%r1,%r2&m=%m1,%m2&n=%n&f=8&s=R&F=*
symbol:		mag square 15-$mag

serv_type:      archive
long_name:      HST Archive at CADC
short_name:     hst@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/hst-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra plus 2
copyright:	Preview data provided courtesy of CADC/DAO/NRC

serv_type:      archive
long_name:      CFHT Archive at CADC
short_name:     cfht@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/cfht-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra plus 3
copyright:	Preview data provided courtesy of CADC/DAO/NRC

serv_type:      archive
long_name:      NTT Archive at ESO
short_name:     ntt@eso
url:		http://archive.eso.org/skycat/servers/ntt-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra plus 4

serv_type:      catalog
long_name:      SAO at CADC
short_name:     sao@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/sao-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		{V MAGNITUDE} circle {15-${V MAGNITUDE}/100.0}

serv_type:      catalog
long_name:      PPM at ESO
short_name:     ppm@eso
url:            http://archive.eso.org/skycat/servers/ppm-server?ra=%ra&dec=%dec&radius=%r2&nout=%n&mime=skycat
symbol:		mag circle 15-$mag

serv_type:      catalog
long_name:      PPM1 at ESO
short_name:     ppm1@eso
url:            http://archive.eso.org:8123/general-server/bin/general-server-V0.2?-source=ppm&-c.ra=%ra&-c.dec=%dec&-c.bm=%r2&-out.max=%n&-mime=skycat
symbol:		VMag circle 15-$VMag

serv_type:      archive
long_name:      HST Archive at ESO/ECF
short_name:     hst@eso
url:            http://archive.eso.org:8123/general-server/bin/general-server-V0.6?-source=hstscience&-c.ra=%ra&-c.dec=%dec&-c.bm=%r2&-out.max=%n&-mime=skycat&-pv_type_i=HFITS&-pv_type_s=ASCII
symbol:		RA plus 3
copyright:	Preview data provided courtesy of CADC/DAO/NRC

serv_type:      catalog
long_name:      IRAS PSC at ESO
short_name:     iras_psc@eso
url:            http://archive.eso.org/skycat/servers/iras-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra triangle 2

serv_type:      catalog
long_name:      ZCAT at CADC
short_name:     zcat@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/zcat-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		VHELIO cross $VHELIO/100.0

serv_type:      catalog
long_name:      QSO at CADC
short_name:     qso@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/qso-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		REDSHIFT diamond 5-$REDSHIFT

serv_type:      catalog
long_name:      RC3 at CADC
short_name:     rc3@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/rc3-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra square 3

serv_type:      catalog
long_name:      ABELL at CADC
short_name:     abell@cadc
url:            http://cadcwww.dao.nrc.ca/cadcbin/abell-server?ra=%ra&dec=%dec&radius=%r2&nout=%n
symbol:		ra square 3

serv_type:      catalog
long_name:      SIMBAD
short_name:     simbad@eso
url:         	http://archive.eso.org/skycat/servers/sim-server?%ra%dec&r=%r2&n=%n
symbol:         mv circle 15-$mv : mb circle 15-$mb
copyright:	Provided by courtesy of CDS

serv_type:      namesvr
long_name:      SIMBAD Names
short_name:     simbad_ns@eso
url:         	http://archive.eso.org/skycat/servers/sim-server?&o=%id

serv_type:      catalog
long_name:      NED
short_name:     ned@eso
url:         	http://archive.eso.org/skycat/servers/ned-server?%ra%dec&r=%r2&n=%n
symbol:         Obj-Type square 2
copyright:	Provided by courtesy of NASA/IPAC

serv_type:      catalog
long_name:      USNO at ESO
short_name:     usno@eso
url:         	http://archive.eso.org/skycat/servers/usnoa-server?%ra%dec&radius=%r1,%r2&mag=%m1,%m2&format=8&sort=mr
symbol:         mag circle 15-$mag
copyright:	Provided by courtesy of the US Naval Observatory

serv_type:      namesvr
long_name:      NED Names
short_name:     ned_ns@eso
url:         	http://archive.eso.org/skycat/servers/ned-server?&o=%id

# -- image servers --

# DSS
serv_type: 	imagesvr
long_name:      Digitized Sky at ESO
short_name:     dss@eso
url:            http://archive.eso.org/dss/dss?ra=%ra&dec=%dec&mime-type=%mime-type&x=%w&y=%h
copyright:	Digitized Sky Survey (c) by AURA, provided online by ESO 

# UKST
serv_type:      catalog
long_name:      UK Schmidt Plate Catalogue
short_name:     ukst@roe
url:            http://www.roe.ac.uk/cgi-bin/ukstsrv.wrap?%ra%dec&r=%r1,%r2&m=%m1,%m2&n=%n&f=8&s=R&F=*
copyright:	Provided by courtesy of ROE

